/*
 * @Author: Kane
 * @Date: 2023-01-29 15:45:00
 * @LastEditors: Kane
 * @LastEditTime: 2023-01-29 16:04:48
 * @FilePath: \requirement\src\main\java\com\cpic\xim\web\controllers\requirements\param\RequirementQueryParam.java
 * @Description: 查询需求用的参数对象，从JSON转换而来。
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */
package com.cpic.xim.web.controllers.requirements.param;

import com.fasterxml.jackson.annotation.JsonProperty;

public final class RequirementQueryParam
{
    public RequirementQueryParam()
    {}

    public String getTitle()
    {
        return title;
    }

    public void setTitle( String title )
    {
        this.title = title;
    }

    public String getSerial_no()
    {
        return serial_no;
    }

    public void setSerial_no( String serial_no )
    {
        this.serial_no = serial_no;
    }

    public String getRequest_people()
    {
        return request_people;
    }

    public void setRequest_people( String request_people )
    {
        this.request_people = request_people;
    }

    public String getStatus()
    {
        return status;
    }

    public void setStatus( String status )
    {
        this.status = status;
    }

    public String getCommit_start_date()
    {
        return commit_start_date;
    }

    public void setCommit_start_date( String commit_start_date )
    {
        this.commit_start_date = commit_start_date;
    }

    public String getCommit_end_date()
    {
        return commit_end_date;
    }

    public void setCommit_end_date( String commit_end_date )
    {
        this.commit_end_date = commit_end_date;
    }

    @JsonProperty( "title")
    private String title;

    @JsonProperty( "serial_no")
    private String serial_no;

    @JsonProperty( "request_people")
    private String request_people;

    @JsonProperty( "status")
    private String status;

    @JsonProperty( "commit_start_date")
    private String commit_start_date;

    @JsonProperty( "commit_end_date")
    private String commit_end_date;
}
